# Interface HeaderColumn

#### Hierarchy

- HeaderColumn

#####
Index

### Properties

alignment
className
filterable
freezable
hidable
label
renderer
resizable
sortable
style

## Properties

### alignment

alignment: HeaderColumnAlignment

Specifies column header alignment.

### className

className: null | string

Specifies CSS class names to apply to column headers. See the Help documentation for more information.

### filterable

filterable: null | string

Specifies whether filtering is enabled on the column headers. See the Help documentation for more information.

### freezable

freezable: string

Allows freeze/unfreeze on columns.

### hidable

hidable: string

Allows hide/unhide on columns.

### label

label: HeaderColumnLabel

Specifies attributes on the column header labels.

### renderer

renderer: null

A function that returns column header content. The function takes a context argument, provided by the datagrid. See the Help documentation for more information.

### resizable

resizable: HeaderColumnResizable

Specifies resizing options along the column headers.

### sortable

sortable: null | string

Specifies whether sorting is enabled on the column headers. See the Help documentation for more information.

### style

style: null | string

Specifies inline style to add to the column headers. See the Help documentation for more information.

Generated using TypeDoc